org.apache.ignite.internal.processors.hadoop.shuffle

## Interface HadoopShuffleMessage.Visitor

Enclosing class:
  HadoopShuffleMessage

    public static interface HadoopShuffleMessage.Visitor

Visitor.

### Method Summary

Methods
`void` `onKey(byte[] buf, int off, int len)`
`void` `onValue(byte[] buf, int off, int len)`

### Method Detail

#### onKey

    void onKey(byte[] buf,
             int off,
             int len)
               throws IgniteCheckedException

Parameters:
  `buf` - Buffer.
  `off` - Offset.
  `len` - Length.
Throws:
  `IgniteCheckedException`

#### onValue

    void onValue(byte[] buf,
               int off,
               int len)
                 throws IgniteCheckedException

Parameters:
  `buf` - Buffer.
  `off` - Offset.
  `len` - Length.
Throws:
  `IgniteCheckedException`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017